#[derive(Hash, PartialEq, Eq, Clone, Debug, Copy)]
pub struct Point(pub i32, pub i32);

impl Point {
    pub fn get_neighbors(&self) -> Vec<Point> {
        vec![
            Point(self.0, self.1 + 1),
            Point(self.0, self.1 - 1),
            Point(self.0 - 1, self.1),
            Point(self.0 + 1, self.1),
        ]
    }
}
